ReplicationStats (Oracle - Berkeley DB Java API)
Date: 2010-04-12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationStats

    java.lang.Object
      com.sleepycat.db.ReplicationStats

    public class ReplicationStats

extends Object

Replication statistics for a database environment.

Field Summary
`static int` | `REP_CLIENT` The environment is configured as a replication client, as reported by `getStatus()`.
`static int` | `REP_MASTER` The environment is configured as a replication master, as reported by `getStatus()`.
`static int` | `REP_NONE` Replication is not configured for this environment, as reported by `getStatus()`.

Method Summary
`long` | `getBulkFills()` TODO
`long` | `getBulkOverflows()` TODO
`long` | `getBulkRecords()` TODO
`long` | `getBulkTransfers()` TODO
`long` | `getClientRerequests()` TODO
`long` | `getClientSvcMiss()` TODO
`long` | `getClientSvcReq()` TODO
`int` | `getDupmasters()` TODO
`int` | `getEgen()` TODO
`int` | `getElectionCurWinner()` TODO
`int` | `getElectionGen()` TODO
`LogSequenceNumber` | `getElectionLsn()` TODO
`int` | `getElectionNumSites()` TODO
`int` | `getElectionNumVotes()` TODO
`int` | `getElectionPriority()` TODO
`long` | `getElections()` TODO
`int` | `getElectionSec()` TODO
`int` | `getElectionStatus()` TODO
`long` | `getElectionsWon()` TODO
`int` | `getElectionTiebreaker()` TODO
`int` | `getElectionUsec()` TODO
`int` | `getElectionVotes()` TODO
`int` | `getEnvId()` TODO
`int` | `getEnvPriority()` TODO
`int` | `getGen()` TODO
`long` | `getLogDuplicated()` TODO
`long` | `getLogQueued()` TODO
`long` | `getLogQueuedMax()` TODO
`long` | `getLogQueuedTotal()` TODO
`long` | `getLogRecords()` TODO
`long` | `getLogRequested()` TODO
`int` | `getMaster()` TODO
`long` | `getMasterChanges()` TODO
`int` | `getMaxLeaseSec()` TODO
`int` | `getMaxLeaseUsec()` TODO
`LogSequenceNumber` | `getMaxPermLsn()` TODO
`long` | `getMsgsBadgen()` TODO
`long` | `getMsgsProcessed()` TODO
`long` | `getMsgsRecover()` TODO
`long` | `getMsgsSendFailures()` TODO
`long` | `getMsgsSent()` TODO
`long` | `getNewsites()` TODO
`LogSequenceNumber` | `getNextLsn()` TODO
`int` | `getNextPages()` TODO
`int` | `getNumSites()` TODO
`long` | `getNumThrottles()` TODO
`long` | `getOutdated()` TODO
`long` | `getPagesDuplicated()` TODO
`long` | `getPagesRecords()` TODO
`long` | `getPagesRequested()` TODO
`long` | `getStartSyncDelayed()` TODO
`boolean` | `getStartupComplete()` TODO
`int` | `getStatus()` TODO
`long` | `getTxnsApplied()` TODO
`LogSequenceNumber` | `getWaitingLsn()` TODO
`int` | `getWaitingPages()` TODO
`String` | `toString()` For convenience, the ReplicationStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REP_CLIENT

    public static final int REP_CLIENT

  The environment is configured as a replication client, as reported by `getStatus()`.

  See Also:
    Constant Field Values

### REP_MASTER

    public static final int REP_MASTER

  The environment is configured as a replication master, as reported by `getStatus()`.

  See Also:
    Constant Field Values

### REP_NONE

    public static final int REP_NONE

  Replication is not configured for this environment, as reported by `getStatus()`.

  See Also:
    Constant Field Values

Method Detail

### getLogQueued

    public long getLogQueued()

  TODO

### getStartupComplete

    public boolean getStartupComplete()

  TODO

### getStatus

    public int getStatus()

  TODO

### getNextLsn

    public LogSequenceNumber getNextLsn()

  TODO

### getWaitingLsn

    public LogSequenceNumber getWaitingLsn()

  TODO

### getMaxPermLsn

    public LogSequenceNumber getMaxPermLsn()

  TODO

### getNextPages

    public int getNextPages()

  TODO

### getWaitingPages

    public int getWaitingPages()

  TODO

### getDupmasters

    public int getDupmasters()

  TODO

### getEnvId

    public int getEnvId()

  TODO

### getEnvPriority

    public int getEnvPriority()

  TODO

### getBulkFills

    public long getBulkFills()

  TODO

### getBulkOverflows

    public long getBulkOverflows()

  TODO

### getBulkRecords

    public long getBulkRecords()

  TODO

### getBulkTransfers

    public long getBulkTransfers()

  TODO

### getClientRerequests

    public long getClientRerequests()

  TODO

### getClientSvcReq

    public long getClientSvcReq()

  TODO

### getClientSvcMiss

    public long getClientSvcMiss()

  TODO

### getGen

    public int getGen()

  TODO

### getEgen

    public int getEgen()

  TODO

### getLogDuplicated

    public long getLogDuplicated()

  TODO

### getLogQueuedMax

    public long getLogQueuedMax()

  TODO

### getLogQueuedTotal

    public long getLogQueuedTotal()

  TODO

### getLogRecords

    public long getLogRecords()

  TODO

### getLogRequested

    public long getLogRequested()

  TODO

### getMaster

    public int getMaster()

  TODO

### getMasterChanges

    public long getMasterChanges()

  TODO

### getMsgsBadgen

    public long getMsgsBadgen()

  TODO

### getMsgsProcessed

    public long getMsgsProcessed()

  TODO

### getMsgsRecover

    public long getMsgsRecover()

  TODO

### getMsgsSendFailures

    public long getMsgsSendFailures()

  TODO

### getMsgsSent

    public long getMsgsSent()

  TODO

### getNewsites

    public long getNewsites()

  TODO

### getNumSites

    public int getNumSites()

  TODO

### getNumThrottles

    public long getNumThrottles()

  TODO

### getOutdated

    public long getOutdated()

  TODO

### getPagesDuplicated

    public long getPagesDuplicated()

  TODO

### getPagesRecords

    public long getPagesRecords()

  TODO

### getPagesRequested

    public long getPagesRequested()

  TODO

### getTxnsApplied

    public long getTxnsApplied()

  TODO

### getStartSyncDelayed

    public long getStartSyncDelayed()

  TODO

### getElections

    public long getElections()

  TODO

### getElectionsWon

    public long getElectionsWon()

  TODO

### getElectionCurWinner

    public int getElectionCurWinner()

  TODO

### getElectionGen

    public int getElectionGen()

  TODO

### getElectionLsn

    public LogSequenceNumber getElectionLsn()

  TODO

### getElectionNumSites

    public int getElectionNumSites()

  TODO

### getElectionNumVotes

    public int getElectionNumVotes()

  TODO

### getElectionPriority

    public int getElectionPriority()

  TODO

### getElectionStatus

    public int getElectionStatus()

  TODO

### getElectionTiebreaker

    public int getElectionTiebreaker()

  TODO

### getElectionVotes

    public int getElectionVotes()

  TODO

### getElectionSec

    public int getElectionSec()

  TODO

### getElectionUsec

    public int getElectionUsec()

  TODO

### getMaxLeaseSec

    public int getMaxLeaseSec()

  TODO

### getMaxLeaseUsec

    public int getMaxLeaseUsec()

  TODO

### toString

    public String toString()

  For convenience, the ReplicationStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.